> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sezzle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Preapprove amount by customer

> Verify tokenized customer will be approved for the amount of the order prior to order creation. 
This API does not authorize the amount nor does it hold the amount for a future order. 
Also, you are not required to use this API before creating a customer order.
An example use-case is to verify approval status ahead of subscription payment due date, and to contact the customer in advance to avoid failed payment.




## OpenAPI

````yaml post /v2/customer/{customer_uuid}/preapprove
openapi: 3.1.0
info:
  title: Sezzle API v2
  description: >-
    This Sezzle API is for merchants who want to accept Sezzle as a payment
    option
  termsOfService: https://legal.sezzle.com
  version: 2.0.0
  x-logo:
    url: https://media.sezzle.com/branding/2.0/png/Logo_WhiteWordmark_500x126.png
    backgroundColor: '#392558'
servers:
  - url: https://sandbox.gateway.sezzle.com
    description: development server, usa, ca
  - url: https://gateway.sezzle.com
    description: production server, usa, ca
security:
  - Bearer: []
externalDocs:
  description: Sezzle API guides and tutorials
  url: https://docs.sezzle.com/sezzle-integration
paths:
  /v2/customer/{customer_uuid}/preapprove:
    post:
      tags:
        - Customer
      summary: Preapprove amount by customer
      description: >
        Verify tokenized customer will be approved for the amount of the order
        prior to order creation. 

        This API does not authorize the amount nor does it hold the amount for a
        future order. 

        Also, you are not required to use this API before creating a customer
        order.

        An example use-case is to verify approval status ahead of subscription
        payment due date, and to contact the customer in advance to avoid failed
        payment.
      operationId: HandlePreapproveAmount
      parameters:
        - name: customer_uuid
          in: path
          description: The Customer UUID to preapprove
          required: true
          schema:
            type: string
      requestBody:
        description: The order amount to verify preapproval
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Price'
            example:
              amount_in_cents: 5000
              currency: USD
      responses:
        '200':
          description: Successful Operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  uuid:
                    type: string
                    description: The unique identifier for this response
                  approved:
                    type: boolean
                    description: Whether the shopper is pre-approved for the given amount
              example:
                uuid: 6c9db5d4-d09a-4224-860a-b5438ac32ca8
                approved: true
        '400':
          $ref: '#/components/responses/BadRequestV2'
          example:
            code: unauthorized
            message: authorization not accepted
        '401':
          $ref: '#/components/responses/UnauthorizedV2'
          example:
            code: unauthorized
            message: authorization not accepted
        '404':
          $ref: '#/components/responses/NotFoundV2'
          example:
            code: record_not_found
            message: not found
        '422':
          $ref: '#/components/responses/UnprocessableV2'
          example:
            code: invalid
            message: UnprocessableV2 entity
components:
  schemas:
    Price:
      allOf:
        - $ref: '#/components/schemas/PriceBase'
        - type: object
          required:
            - amount_in_cents
            - currency
    PriceBase:
      type: object
      properties:
        amount_in_cents:
          type: integer
          description: The amount in cents
        currency:
          type: string
          description: The 3 character currency code as defined by ISO 4217
    ErrorV2:
      type: object
      properties:
        code:
          type: string
          description: The general error type
        message:
          type: string
          description: A more specific error message, if available
        location:
          type: string
          description: Where the error occurred
        debug_uuid:
          type: string
          description: The unique identifier assigned to this error for troubleshooting
  responses:
    BadRequestV2:
      description: Invalid request
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: bad_request
              message: bad request
    UnauthorizedV2:
      description: >-
        Unauthorized. Returned for any failed bearer or basic auth, including
        expired bearer tokens.
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: unauthorized
              message: authorization not accepted
    NotFoundV2:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: record_not_found
              message: not found
    UnprocessableV2:
      description: Unable to process the request entity
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: invalid
              message: Unprocessable entity
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header
      description: >-
        The authentication token generated from providing API Keys to Sezzle
        Gateway

````